import path from 'path';
export const defaults = {
    admin: {
        avatar: 'default',
        buildPath: path.resolve(process.cwd(), './build'),
        components: {},
        dateFormat: 'MMMM do yyyy, h:mm a',
        disable: false,
        inactivityRoute: '/logout-inactivity',
        logoutRoute: '/logout',
        meta: {
            titleSuffix: '- Payload'
        }
    },
    bin: [],
    collections: [],
    cookiePrefix: 'payload',
    cors: [],
    csrf: [],
    custom: {},
    defaultDepth: 2,
    defaultMaxTextLength: 40000,
    endpoints: [],
    globals: [],
    graphQL: {
        disablePlaygroundInProduction: true,
        maxComplexity: 1000,
        schemaOutputFile: `${typeof process?.cwd === 'function' ? process.cwd() : ''}/schema.graphql`
    },
    hooks: {},
    localization: false,
    maxDepth: 10,
    routes: {
        admin: '/admin',
        api: '/api',
        graphQL: '/graphql',
        graphQLPlayground: '/graphql-playground'
    },
    serverURL: '',
    telemetry: true,
    typescript: {
        outputFile: `${typeof process?.cwd === 'function' ? process.cwd() : ''}/payload-types.ts`
    },
    upload: {}
};

//# sourceMappingURL=defaults.js.map